Create a legal hold
curl --request POST \
--url https://api.notion.com/admin/v1/legal_holds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"name": "<string>",
"start_date": 123,
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"user_interaction_type": [],
"description": "<string>",
"end_date": 123,
"icon": "<string>"
}
'import requests
url = "https://api.notion.com/admin/v1/legal_holds"
payload = {
"name": "<string>",
"start_date": 123,
"user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"user_interaction_type": [],
"description": "<string>",
"end_date": 123,
"icon": "<string>"
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
start_date: 123,
user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
user_interaction_type: [],
description: '<string>',
end_date: 123,
icon: '<string>'
})
};
fetch('https://api.notion.com/admin/v1/legal_holds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_time": 123,
"id": "<string>",
"start_date": 123,
"user_interaction_type": [],
"users": {
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"total": 123
},
"workspaces": {
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"total": 123
},
"description": "<string>",
"end_date": 123,
"icon": "<string>",
"name": "<string>"
}{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}Legal holds
Create a legal hold
Create a legal hold.
POST
/
v1
/
legal_holds
Create a legal hold
The organization bot token must have the following scopes:
legal-hold:write
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Body
application/json
Response
Available options:
active, released Available options:
page.created, page.edited, page.viewed Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I